Przeglądarki WWW

Firefox będzie obsługiwał rozszerzenia z Opery, Chrome i Edge

z dnia 2015-08-22
Wojciech Kulik | Redaktor serwisu benchmark.pl
15 komentarzy Dyskutuj z nami

Mozilla pracuje nad nowym API dla Firefoksa, co może spodobać się wielu użytkownikom.

Firefox

Mozilla pracuje nad nowym API dla Firefoksa, które pozwoli jego użytkownikom na korzystanie z rozszerzeń z przeglądarek Chrome, Opera i Edge.

Nowe API dla Firefoksa jest kompatybilne z silnikiem Blink. Powstał on na bazie Webkita i jest jego uproszczoną wersją oraz daje większą elastyczność w dodawaniu nowych funkcji. Korzystają już z niego przeglądarki Google Chrome oraz Opera. 

Dzięki wdrożeniu Web Extensions API możliwe będzie tworzenie rozszerzeń działających na wielu przeglądarkach. – „Twórcy będą w stanie udostępniać to samo rozszerzenie na Firefoksie i Chrome z minimalną liczbą zmian” – zapowiada Mozilla za pośrednictwem swojego oficjalnego bloga.

Wchodząca w skład systemu Windows 10 przeglądarka Microsoft Edge korzysta z własnego silnika (EdgeHTML). Pomimo tego, także ona ma być kompatybilna z Web Extensions API. 

Z jednej strony jest to bardzo dobra wiadomość zarówno dla użytkowników (którzy skorzystają z ulubionych rozszerzeń niezależnie od przeglądarki), jak i programistów (którzy łatwiej dostosują swoje programy). Z drugiej jednak autorzy starszych rozszerzeń będą musieli zmodyfikować kod, aby dopasować go do nowego API.

Ten artykuł pochodzi ze strony benchmark.pl

Źródło: Myce, Mozilla Blog

marketplace

Komentarze

15
Zaloguj się, żeby skomentować
avatar
Dodaj
Komentowanie dostępne jest tylko dla zarejestrowanych użytkowników serwisu.
  • avatar
    Firefox jest i tak liderem jeśli chodzi o liczbę rozszerzeń. Na dzień dzisiejszy to wolałbym aby Edge obsługiwał rozszerzenia Firefox.
    Zaloguj się
    19
  • avatar
    firefox pod windowsem a pod linuxem to kompletnie inna bajka

    polecam jeszcze dodatek NO GA - no google analitics, firefox dostaje 5 krotnego kopa w ladowaniu stron
    Zaloguj się
  • avatar
    Dopóki w Chrome nie zmieniono API, przez co NoScript nie działa uważałem tą przeglądarkę za najlepszą. Teraz niestety używam FireFoxa i dobrze było tylko na początku. Zresztą przed Chrome używałem tylko FF ale coraz bardziej zamulał i coraz częściej crasche łapał. Po powrocie do FF znowu to samo, przy każdym wyłączeniu przeglądarki crash. :/ Tylko NoScript mnie przy tej przeglądarce trzyma. Niestety w Chrome odpowiedniki się do tego rozszerzenia nie umywają. ;|
    Zaloguj się
    -6
  • avatar
    Jak na razie to EDGE nic nie obsługuje, więc nie wiem skąd on tutaj się wziął. Więc na Firefoksa będzie można łatwiej poratować rozszerzenia z Chrome i na nim bazujących, a EDGE będzie miał kiedyś rozszerzenia kompatybilne z Chromem i Firefoksem. Nie odwracajcie kota ogonem.
  • avatar
    Dziwne, że do tej pory na firefoxa nie ma tak dobrego rozszerzenia jak Deluminate albo Hacker Vision. Odpowiedniki na liska są po prostu żałosne
  • avatar
    No wreszcie jakaś pozytywna zmiana. Obecnie FF goni na siłę z numerkami, i wiele kompatybilnych dodatków staje się niekompatybilna, chociaż to jest nieprawda.
    jeśli chodzi o API do rzszerzeń, to niestety w FF wiele rzeczy zostało przez mozillę popsutych. może to nowe podejście zaowocuje wreszcie czymś sensownym. niestety to samo dotyczy thunerbird.